package com.mdd.admin.vo.finance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("退款记录日志Vo")
public class FinanceRefundLogVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("ID")
   private Integer id;
   @ApiModelProperty("流水号")
   private String sn;
   @ApiModelProperty("订单金额")
   private BigDecimal orderAmount;
   @ApiModelProperty("退款金额")
   private BigDecimal refundAmount;
   @ApiModelProperty("退款状态: [0=退款中, 1=退款成功, 2=退款失败]")
   private Integer refundStatus;
   @ApiModelProperty("退款状态描述")
   private String refundStatusMsg;
   @ApiModelProperty("退款信息")
   private String refundMsg;
   @ApiModelProperty("操作人")
   private String handler;
   @ApiModelProperty("创建时间")
   private String createTime;

   public Integer getId() {
      return this.id;
   }

   public String getSn() {
      return this.sn;
   }

   public BigDecimal getOrderAmount() {
      return this.orderAmount;
   }

   public BigDecimal getRefundAmount() {
      return this.refundAmount;
   }

   public Integer getRefundStatus() {
      return this.refundStatus;
   }

   public String getRefundStatusMsg() {
      return this.refundStatusMsg;
   }

   public String getRefundMsg() {
      return this.refundMsg;
   }

   public String getHandler() {
      return this.handler;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setSn(String sn) {
      this.sn = sn;
   }

   public void setOrderAmount(BigDecimal orderAmount) {
      this.orderAmount = orderAmount;
   }

   public void setRefundAmount(BigDecimal refundAmount) {
      this.refundAmount = refundAmount;
   }

   public void setRefundStatus(Integer refundStatus) {
      this.refundStatus = refundStatus;
   }

   public void setRefundStatusMsg(String refundStatusMsg) {
      this.refundStatusMsg = refundStatusMsg;
   }

   public void setRefundMsg(String refundMsg) {
      this.refundMsg = refundMsg;
   }

   public void setHandler(String handler) {
      this.handler = handler;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FinanceRefundLogVo)) {
         return false;
      } else {
         FinanceRefundLogVo other = (FinanceRefundLogVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label119;
                  }
               } else if (this$id.equals(other$id)) {
                  break label119;
               }

               return false;
            }

            Object this$refundStatus = this.getRefundStatus();
            Object other$refundStatus = other.getRefundStatus();
            if (this$refundStatus == null) {
               if (other$refundStatus != null) {
                  return false;
               }
            } else if (!this$refundStatus.equals(other$refundStatus)) {
               return false;
            }

            label105: {
               Object this$sn = this.getSn();
               Object other$sn = other.getSn();
               if (this$sn == null) {
                  if (other$sn == null) {
                     break label105;
                  }
               } else if (this$sn.equals(other$sn)) {
                  break label105;
               }

               return false;
            }

            Object this$orderAmount = this.getOrderAmount();
            Object other$orderAmount = other.getOrderAmount();
            if (this$orderAmount == null) {
               if (other$orderAmount != null) {
                  return false;
               }
            } else if (!this$orderAmount.equals(other$orderAmount)) {
               return false;
            }

            label91: {
               Object this$refundAmount = this.getRefundAmount();
               Object other$refundAmount = other.getRefundAmount();
               if (this$refundAmount == null) {
                  if (other$refundAmount == null) {
                     break label91;
                  }
               } else if (this$refundAmount.equals(other$refundAmount)) {
                  break label91;
               }

               return false;
            }

            Object this$refundStatusMsg = this.getRefundStatusMsg();
            Object other$refundStatusMsg = other.getRefundStatusMsg();
            if (this$refundStatusMsg == null) {
               if (other$refundStatusMsg != null) {
                  return false;
               }
            } else if (!this$refundStatusMsg.equals(other$refundStatusMsg)) {
               return false;
            }

            label77: {
               Object this$refundMsg = this.getRefundMsg();
               Object other$refundMsg = other.getRefundMsg();
               if (this$refundMsg == null) {
                  if (other$refundMsg == null) {
                     break label77;
                  }
               } else if (this$refundMsg.equals(other$refundMsg)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$handler = this.getHandler();
               Object other$handler = other.getHandler();
               if (this$handler == null) {
                  if (other$handler == null) {
                     break label70;
                  }
               } else if (this$handler.equals(other$handler)) {
                  break label70;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FinanceRefundLogVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $refundStatus = this.getRefundStatus();
      result = result * 59 + ($refundStatus == null ? 43 : $refundStatus.hashCode());
      Object $sn = this.getSn();
      result = result * 59 + ($sn == null ? 43 : $sn.hashCode());
      Object $orderAmount = this.getOrderAmount();
      result = result * 59 + ($orderAmount == null ? 43 : $orderAmount.hashCode());
      Object $refundAmount = this.getRefundAmount();
      result = result * 59 + ($refundAmount == null ? 43 : $refundAmount.hashCode());
      Object $refundStatusMsg = this.getRefundStatusMsg();
      result = result * 59 + ($refundStatusMsg == null ? 43 : $refundStatusMsg.hashCode());
      Object $refundMsg = this.getRefundMsg();
      result = result * 59 + ($refundMsg == null ? 43 : $refundMsg.hashCode());
      Object $handler = this.getHandler();
      result = result * 59 + ($handler == null ? 43 : $handler.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      return result;
   }

   public String toString() {
      return "FinanceRefundLogVo(id=" + this.getId() + ", sn=" + this.getSn() + ", orderAmount=" + this.getOrderAmount() + ", refundAmount=" + this.getRefundAmount() + ", refundStatus=" + this.getRefundStatus() + ", refundStatusMsg=" + this.getRefundStatusMsg() + ", refundMsg=" + this.getRefundMsg() + ", handler=" + this.getHandler() + ", createTime=" + this.getCreateTime() + ")";
   }
}
